/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigInteger;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENECHANNELSDESC")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenechannelsdesc.findAll", query = "SELECT t FROM Tgenechannelsdesc t"),
    @NamedQuery(name = "Tgenechannelsdesc.findByChannelcode", query = "SELECT t FROM Tgenechannelsdesc t WHERE t.tgenechannelsdescPK.channelcode = :channelcode"),
    @NamedQuery(name = "Tgenechannelsdesc.findByLanguagecode", query = "SELECT t FROM Tgenechannelsdesc t WHERE t.tgenechannelsdescPK.languagecode = :languagecode"),
    @NamedQuery(name = "Tgenechannelsdesc.findByRecordversion", query = "SELECT t FROM Tgenechannelsdesc t WHERE t.recordversion = :recordversion"),
    @NamedQuery(name = "Tgenechannelsdesc.findByDescription", query = "SELECT t FROM Tgenechannelsdesc t WHERE t.description = :description")})
public class Tgenechannelsdesc implements Serializable {

    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected TgenechannelsdescPK tgenechannelsdescPK;
    @Column(name = "RECORDVERSION")
    private BigInteger recordversion;
    @Column(name = "DESCRIPTION")
    private String description;
    @JoinColumn(name = "CHANNELCODE", referencedColumnName = "CHANNELCODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenechannels tgenechannels;
    @JoinColumn(name = "LANGUAGECODE", referencedColumnName = "LANGUAGECODE", insertable = false, updatable = false)
    @ManyToOne(optional = false)
    private Tgenelanguage tgenelanguage;

    public Tgenechannelsdesc() {
    }

    public Tgenechannelsdesc(TgenechannelsdescPK tgenechannelsdescPK) {
        this.tgenechannelsdescPK = tgenechannelsdescPK;
    }

    public Tgenechannelsdesc(String channelcode, String languagecode) {
        this.tgenechannelsdescPK = new TgenechannelsdescPK(channelcode, languagecode);
    }

    public TgenechannelsdescPK getTgenechannelsdescPK() {
        return tgenechannelsdescPK;
    }

    public void setTgenechannelsdescPK(TgenechannelsdescPK tgenechannelsdescPK) {
        this.tgenechannelsdescPK = tgenechannelsdescPK;
    }

    public BigInteger getRecordversion() {
        return recordversion;
    }

    public void setRecordversion(BigInteger recordversion) {
        this.recordversion = recordversion;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Tgenechannels getTgenechannels() {
        return tgenechannels;
    }

    public void setTgenechannels(Tgenechannels tgenechannels) {
        this.tgenechannels = tgenechannels;
    }

    public Tgenelanguage getTgenelanguage() {
        return tgenelanguage;
    }

    public void setTgenelanguage(Tgenelanguage tgenelanguage) {
        this.tgenelanguage = tgenelanguage;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (tgenechannelsdescPK != null ? tgenechannelsdescPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenechannelsdesc)) {
            return false;
        }
        Tgenechannelsdesc other = (Tgenechannelsdesc) object;
        if ((this.tgenechannelsdescPK == null && other.tgenechannelsdescPK != null) || (this.tgenechannelsdescPK != null && !this.tgenechannelsdescPK.equals(other.tgenechannelsdescPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenechannelsdesc[ tgenechannelsdescPK=" + tgenechannelsdescPK + " ]";
    }
    
}
